Skip to main content
GET
/
v1
/
environment-variables
/
{variableKey}
/
usage
PHP
declare(strict_types=1);

require 'vendor/autoload.php';

use novu;

$sdk = novu\Novu::builder()
    ->setSecurity(
        'YOUR_SECRET_KEY_HERE'
    )
    ->build();



$response = $sdk->environmentVariables->usage(
    variableKey: 'BASE_URL'
);

if ($response->getEnvironmentVariableUsageResponseDto !== null) {
    // handle response
}
{
  "workflows": [
    {
      "name": "Welcome Email",
      "workflowId": "welcome-email"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

Headers

idempotency-key
string

A header for idempotency purposes

Path Parameters

variableKey
string
required

The unique key of the environment variable (e.g. BASE_URL)

Response

OK

workflows
object[]
required

Array of workflows that reference this environment variable